Skip to main content

Generate Report

Generates a BIK report for a store and delivers it to the specified email addresses.

Request Parameters

NameTypeRequired/OptionalDescription
reportTypeReportTypesRequiredThe type of report to generate. Check the ReportTypes here.
reportNameReportNamesRequiredThe name of the report to generate. This value is case-sensitive and must match the report names displayed in BIK. Check the ReportNames list here.
dateRangeDateRangeRequiredObject specifying the start and end dates for the report. Check the DateRange type here.
emailsstring[]RequiredList of email addresses to receive the generated report.
reportDescriptionstringOptionalDescription of the report.
filtersFiltersOptionalFilters to apply to the report. Check the Filters type here.

Request Information

CategoryValue
HTTP requestPOST
URLhttps://bikapi.bikayi.app/integrations/bikPlatformFunctions-generateReport

Sample Request

curl --location --request POST 'https://bikapi.bikayi.app/integrations/bikPlatformFunctions-generateReport' \
--header 'Authorization: Basic AUTH_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"reportName": "Agent Engagement",
"dateRange": {
"startDate": "2025-07-27T18:30:00.540Z",
"endDate": "2025-08-29T18:29:59.540Z"
},
"filters": {
"channel": "whatsapp",
"groupBy": "week"
},
"reportType": "Helpdesk",
"emails": ["example@example.com"]
}'

JSON response example:

{
"status": 200,
"success": true,
"data": {
"reportHistoryId": 44589
}
}

Response parameters

NameTypeDescription
statusnumberHTTP status code
successbooleanIndicates whether the request succeeded
data.reportHistoryIdnumberUnique identifier for the report history entry (used to retrieve the report by ID)

Report Types

NameTypeDescription
OverallstringOverall reports category
CampaignsstringCampaigns reports category
HelpdeskstringHelpdesk reports category
JourneysstringJourneys reports category
WidgetsstringWidgets reports category

Report Names

Name
Popup Conversions
Campaign(s) Message Failure Overview
Whatsapp Payment Report
Agent Engagement
Overall CSAT/NPS
Channel Engagement
Label Engagement
Customer Conversations
Events conversion report
Ticket's Overview
Journey overall report
Campaign Summary Report
Campaign(s) Opt-Out and Bounce
Campaign(s) Conversion Events Report
Ledger report
Agent SLA report
Price please automation report
Customer Delivery Failure Report
Overall customers report
Popup Insights
Customer Conversion Summary report
Customer ticket report (with forms)
Journey keywords report

Date Range Type

NameTypeDescription
startDatestringISO string for the start date timestamp for the report.
endDatestringISO string for the end date timestamp for the report.

Filters Type

NameTypeDescription
channelChannelsChannel to filter report data by (applicable to supported reports only). Check the Channels type here.
groupBystringTime interval ("day" | "week" | "month") for grouping the data (applicable to supported reports only).

Channels Type

NameTypeDescription
whatsappstringWhatsapp channel identifier
emailstringEmail channel identifier
instagramstringInstagram channel identifier
messengerstringMessenger channel identifier
livechatstringLivechat channel identifier

Errors

Error CodeMeaning
400Invalid payload! -- Your request is invalid/invalid parameters.
401Unauthorized -- User is not authenticated.
404Not Found -- The specified API could not be found.
500Internal Server Error -- We had a problem with our server. Try again later.

Error response example:

{
"status": 400,
"errors": [
{
"message": "Invalid payload!"
}
]
}